## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.12.0
%bcond_without check

# https://github.com/gitleaks/gitleaks
%global goipath         github.com/zricethezav/gitleaks/v8
Version:                8.18.4

%gometa -L -f

%global common_description %{expand:
Scan git repos (or files) for secrets using regex and entropy.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md

Name:           gitleaks
Release:        %autorelease
Summary:        Scan git repos (or files) for secrets using regex and entropy

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  git-core
Requires:       git-core
%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
export LDFLAGS="-X=github.com/zricethezav/gitleaks/v8/cmd.Version=%{VERSION}"
%gobuild -o %{gobuilddir}/bin/gitleaks %{goipath}
%{gobuilddir}/bin/%{name} completion bash > %{name}.bash
%{gobuilddir}/bin/%{name} completion fish > %{name}.fish
%{gobuilddir}/bin/%{name} completion zsh  > %{name}.zsh


%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -Dpm 0644 %{name}.bash %{buildroot}%{bash_completions_dir}/%{name}
install -Dpm 0644 %{name}.fish %{buildroot}%{fish_completions_dir}/%{name}.fish
install -Dpm 0644 %{name}.zsh  %{buildroot}%{zsh_completions_dir}/_%{name}


%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc CONTRIBUTING.md README.md
%{_bindir}/*
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}

%changelog
## START: Generated by rpmautospec
* Fri Aug 23 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.18.4-3
- Add require on git-core - Closes rhbz#2307506

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.18.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 15 2024 Packit <hello@packit.dev> - 8.18.4-1
- Update to 8.18.4 upstream release
- Resolves: rhbz#2292494

* Sun Jun 02 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.18.3-1
- Update to 8.18.3 - Closes rhbz#2284234

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 8.18.2-2
- Rebuild for golang 1.22.0

* Thu Feb 08 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.18.2-1
- Update to 8.18.2 - Closes rhbz#2250439 rhbz#2248275

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.18.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Aug 23 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.18.0-1
- Update to 8.18.0 - Closes rhbz#2233750 rhbz#2233709

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 17 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.17.0-1
- Update to 8.17.0 - Closes rhbz#2215634

* Sat Jun 17 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.16.4-2
- Update to 8.17.0 - Closes rhbz#2215634

* Fri Jun 09 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.16.4-1
- Update to 8.16.4 - Closes rhbz#2213239

* Thu Apr 20 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.16.3-1
- Update to 8.16.3 - Closes rhbz#2188172

* Fri Mar 31 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.16.2-1
- Update to 8.16.2 - Closes rhbz#2183584

* Wed Mar 15 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.16.1-1
- Update to 8.16.1 - Closes rhbz#2178394

* Mon Feb 27 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.16.0-1
- Update to 8.16.0 - Closes rhbz#2173465

* Sat Feb 25 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.15.4-1
- Update to 8.15.4 - Closes rhbz#2173323

* Mon Jan 23 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.15.3-1
- Update to 8.15.3 - Closes rhbz#2163418

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.15.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Dec 02 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.15.2-1
- Update to 8.15.2 - Closes rhbz#2150265

* Mon Nov 21 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.15.1-1
- Update to 8.15.1 - Closes rhbz#2144342

* Thu Oct 27 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.15.0-1
- Update to 8.15.0 - Closes rhbz#2135004

* Wed Oct 12 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.14.1-1
- Update to 8.14.1 - Closes rhbz#2133955

* Fri Sep 23 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.13.0-1
- Update to 8.13.0 - Closes rhbz#2129224

* Wed Sep 07 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.12.0-1
- Update to 8.12.0 - Closes rhbz#2124109

* Mon Aug 29 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.11.2-1
- Update to 8.11.2 - Closes rhbz#2121280

* Thu Aug 18 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.11.0-1
- Update to 8.11.0 - Closes rhbz#2118002

* Tue Aug 09 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 8.10.1-1
- Initial package - Closes rhbz#2114921
## END: Generated by rpmautospec
